extends CharacterBody3D

func _physics_process(delta: float) -> void:
	var hasCollision = move_and_collide(velocity * delta)
	if hasCollision:
		if hasCollision.get_collider().has_method("playerHit"):
			hasCollision.get_collider().playerHit()
